% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/load_furniture.R
\name{load_furniture}
\alias{load_furniture}
\title{Load furniture for a given model.}
\usage{
load_furniture(model_name, path, file_name)
}
\arguments{
\item{model_name}{the name given to the model used to store log information}

\item{path}{list of useful paths}

\item{file_name}{list of useful file_names}
}
\value{
a data.frame of furniture present in the model. If the file furniture.csv does not yet exist, return NULL.
Some tries are made on format. First, 'furniture.csv' is supposed to be readable by utils::read.csv2, if not it is supposed to be
readable by utils::read.csv. If not, an error is returned. User is asked to manage format on his own.
Some tries are made on encoding. First, 'furniture.csv' is supposed to be encoded in UTF-8. If this try makes some error, another 
try is made in ISO-8859-15. If this second try does not work, an error is returned. User is asked to manage encoding on his own.
}
\description{
Load furniture for a given model.
}
\examples{
\dontrun{
	model = "simple_furniture"
	type = "simple"

	load_furniture(
		model_name = model, 
		path = update_path(
			model = model, 
			type = type, 
			path = list(
				data = "inst/extdata", 
				output = tempdir()
			)
		),
		file_name = init_file_name()
	)
}

}
