% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sumup_damaging.R
\name{sumup_damaging}
\alias{sumup_damaging}
\title{Summarize detailed list of elementary damaging functions.}
\usage{
sumup_damaging(x, who = NULL)
}
\arguments{
\item{x, }{object of class elementary_damaging or a list}

\item{who, }{NULL or character to trace the name of the calling function if an error occurs}
}
\value{
an object of class "damaging"
}
\description{
Summarize detailed list of elementary damaging functions.
}
\examples{
\dontrun{
	model_path = list(
		data = system.file("extdata", package = "floodam.building"),
		output = tempdir()
	)
	model = analyse_model(
		model = "adu_t", 
		type = "adu", 
		stage = c("load", "extract", "damaging"), 
		path = model_path
	)
	damage = sumup_damaging(model[["damaging"]][["detail"]])
}

}
